PPPoEConnectionStruct Struct Reference
Implementation internals » Device handling » PPPoE devices (DSL)

## Data Fields

char * | ifname
int | fd
int | received_pado
unsigned char | my_mac [ETH_ALEN]
unsigned char | peer_mac [ETH_ALEN]
hd_t * | hd

## Field Documentation

## fd

int PPPoEConnectionStruct::fd

Referenced by close_intefaces(), hd_scan_pppoe(), open_interfaces(), send_padi(), and wait_for_pado().

## hd

hd_t* PPPoEConnectionStruct::hd

Referenced by hd_scan_pppoe().

## ifname

char* PPPoEConnectionStruct::ifname

Referenced by check_room(), hd_scan_pppoe(), open_interfaces(), parse_packet(), parse_pado_tags(), send_padi(), and wait_for_pado().

## my_mac

unsigned char PPPoEConnectionStruct::my_mac[ETH_ALEN]

Referenced by open_interfaces(), packet_for_me(), and send_padi().

## peer_mac

unsigned char PPPoEConnectionStruct::peer_mac[ETH_ALEN]

Referenced by wait_for_pado().

## received_pado

int PPPoEConnectionStruct::received_pado

Referenced by send_padi(), and wait_for_pado().

The documentation for this struct was generated from the following file:

- pppoe.c